org.bdgenomics.adam

# rich

#### package rich

Visibility

1. Public
2. All

### Type Members

1. #### case class RichAlignmentRecord(record: AlignmentRecord) extends Product with Serializable

   An enriched version of an Avro AlignmentRecord.

   An enriched version of an Avro AlignmentRecord.

   record

     The underlying read.

2. #### case class RichVariant(variant: Variant) extends Product with Serializable

   Enriched model for a variant with helper functions.

   Enriched model for a variant with helper functions.

   variant

     The variant to enrich.

### Value Members

1. #### object RichAlignmentRecord extends Serializable

2. #### object RichVariant extends Serializable

   Helper object for creating enriched variants.

### Ungrouped